package com.jscape.util.io;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

/**
 * @author Alex Usun
 */
public interface DataSource {

    boolean writeAllowed();

    boolean readAllowed();

    InputStream getInputStream()
            throws IOException;

    OutputStream getOutputStream()
            throws IOException;

}
